# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
name = "cuckoofilter"
version = "0.4.1"
authors = ["Seif Lotfy <seif.lotfy@gmail.com>", "Florian Jacob <accounts+git@florianjacob.de>", "The cuckoofilter contributors"]
description = "Cuckoo Filter: Practically Better Than Bloom"
homepage = "http://geekyogre.com"
readme = "./README.md"
keywords = ["bloomfilter", "cuckoohashing", "cuckoofilter"]
license = "MIT"
repository = "https://github.com/seiflotfy/rust-cuckoofilter"
[dependencies.byteorder]
version = "1.3.4"

[dependencies.clippy]
version = "0.0.302"
optional = true

[dependencies.farmhash]
version = "1.1.5"
optional = true

[dependencies.fnv]
version = "1.0.7"

[dependencies.rand]
version = "0.7.3"

[dependencies.serde]
version = "1.0.114"

[dependencies.serde_bytes]
version = "0.11.5"

[dependencies.serde_derive]
version = "1.0.114"
[dev-dependencies.serde_json]
version = "1.0"

[features]
default = []
dev = ["clippy"]
